The Clio Cloud Conference is happening October 26-29. Save your spot.

Which Internet Browsers Does Clio Support?

Objective:

  • Use Clio with a browser which will display optimally
  • Ensure that I'm avoiding any bugs associated with unsupported browsers
  • Understand Clio's browser requirements

Environment:

  • Clio Manage 

Additional Information:

Please ensure Javascript has been enabled: Enable Javascript

Here are more details regarding unsupported versions of internet browsers: here

Answer:

Clio is designed to be functional with as many web browsers as possible. That being said, Clio is also relatively demanding because of its many security features. Because of this, some legacy web browsers will not be able to support Clio, but the 2 most recent versions of all the major modern web browser will be supported.

For a list of Supported browsers and the minimum requirements please click here.

Please be advised that support for Internet Explorer will be dropped on August 17, 2021

Was this article helpful?
This information is confusing or wrong
This isn't the information that I was looking for
I don't like this functionality